flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-7811) Add support for Scala 2.12
Date Mon, 22 Oct 2018 18:54:05 GMT

    [ https://issues.apache.org/jira/browse/FLINK-7811?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16659387#comment-16659387
] 

ASF GitHub Bot commented on FLINK-7811:
---------------------------------------

zentol commented on a change in pull request #6894: [FLINK-7811] Add support for Scala 2.12
URL: https://github.com/apache/flink/pull/6894#discussion_r226974304
 
 

 ##########
 File path: tools/change-scala-version.sh
 ##########
 @@ -0,0 +1,64 @@
+#!/usr/bin/env bash
+################################################################################
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+# limitations under the License.
+################################################################################
+
+set -e
+
+BASEDIR=$(dirname $0)/..
+TO_BINARY_VERSION=$1
+
+CHILL_VERSION_211=0.7.4
 
 Review comment:
   It should be possible to implement this via dependency-management activated in the scala
2.12 profile.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> Add support for Scala 2.12
> --------------------------
>
>                 Key: FLINK-7811
>                 URL: https://issues.apache.org/jira/browse/FLINK-7811
>             Project: Flink
>          Issue Type: Sub-task
>          Components: Scala API
>            Reporter: Aljoscha Krettek
>            Assignee: Aljoscha Krettek
>            Priority: Major
>              Labels: pull-request-available
>             Fix For: 1.7.0
>
>




--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message